GHSA-3hc7-2xcc-7p8f

Suggest an improvement
Source
https://github.com/advisories/GHSA-3hc7-2xcc-7p8f
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/01/GHSA-3hc7-2xcc-7p8f/GHSA-3hc7-2xcc-7p8f.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-3hc7-2xcc-7p8f
Aliases
Published
2023-01-07T21:30:40Z
Modified
2023-11-08T04:03:48.902679Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Squalor SQL Injection vulnerability
Details

A vulnerability, which was classified as critical, was found in square squalor. This affects an unknown part. The manipulation leads to sql injection. Upgrading to version v0.0.0 is able to address this issue. The name of the patch is f6f0a47cc344711042eb0970cb423e6950ba3f93. It is recommended to upgrade the affected component. The associated identifier of this vulnerability is VDB-217623.

References

Affected packages

Go / github.com/square/squalor

Package

Name
github.com/square/squalor
View open source insights on deps.dev
Purl
pkg:golang/github.com/square/squalor

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.0.0